Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 7293 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Konfigurátor

 Odpovědět Odpovědět archiv
Autor
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 186
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace madep Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Konfigurátor
    Zasláno: 27.pro.2023 v 13:29
Ahoj všem,
kvůli novému projektu jsem si udělal pokusný iLogic konfigurátor
s využitím názvů "entit" a jejich automatické vazbení.
Je to celkem jednoduché a dá se rozvíjet.

Připojené náhledyPřihlaste se pro zobrazení plné verze - 1782/Konfig_01.png



Připojené náhledyPřihlaste se pro zobrazení plné verze - 1782/Konfig_02.png



Připojené náhledyPřihlaste se pro zobrazení plné verze - 1782/Konfig_03.png



Připojené náhledyPřihlaste se pro zobrazení plné verze - 1782/Konfig_04.png



Pravidlo
MultiValue.SetValueOptions(True, DefaultIndex := 0)
MultiValue.SetList("Díly", "003", "004", "005")

Dim dir = ThisDoc.Path

FilterFileName = dir & "\Díly\" & Díly & ".ipt"

ThisAssembly.BeginManage()
     Components.Add ("díl", FilterFileName)
ThisAssembly.EndManage

Constraints.AddInsert("dílInsert1", "001:1", "In", "díl", "com_In",
                      axesOpposed := True, distance := 0.0, lockRotation := False, biasPoint1 := Nothing, biasPoint2 := Nothing)

Constraints.AddInsert("dílInsert2", "002:1", "Out", "díl", "com_Out",
                      axesOpposed := True, distance := 0.0, lockRotation := False, biasPoint1 := Nothing, biasPoint2 := Nothing)

Martin Depta
Eltodo a.s.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10851:iLogic - jak ve výkresu zpracovat materiál a cestu součásti?
Tip 9476:Ukládání DWG kopie IDW výkresu pojmenované podle revize.
Tip 8717:Jak ve výkresu zobrazit těžiště podsestavy?
Tip 9341:Použití iLogic na rozklad jména IPT souboru a naplnění iVlastností.
Tip 9467:Automatické publikování schválených výkresů z Inventoru.
Tip 11550:iLogic: Spuštění externího procesu s parametry


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,414 sekund.